> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/de/api-dokumentation/dateien-mit-der-geopard-api-hochladen.md).

# Dateien mit der GeoPard API hochladen

{% hint style="success" %}
Die empfohlene Vorgehensweise für Dateien über 6 MB ist der [vorausgezeichnete URL-Workflow](/geopard-tutorials/de/api-dokumentation/ubersicht-der-geopard-api-anfragen/55.-zip-dateien-hochladen-uber-6-mb.md).
{% endhint %}

Die GeoPard-API ermöglicht das Hochladen von ZIP-Archiven mit Boden-/Ertrags-/Applikations-/Grenz-Datensätzen zur weiteren Verarbeitung und Analyse.

{% hint style="danger" %}
Aufgrund einer AWS-Einschränkung beträgt die maximale Dateigröße, die Sie über diesen REST-Endpunkt hochladen können, 6 MB.
{% endhint %}

Die Upload-Schritte für Dateien über 6 MB werden beschrieben in [ZIP-Dateien hochladen (über 6 MB)](/geopard-tutorials/de/api-dokumentation/ubersicht-der-geopard-api-anfragen/55.-zip-dateien-hochladen-uber-6-mb.md).

Unmittelbar nach dem erfolgreichen Upload des Boden-/Ertrags-/Applikations-Datensatzes verknüpft die GeoPard-Engine ihn mit den zugehörigen Feldern innerhalb des definierten Betriebs.

Unmittelbar nach dem erfolgreichen Upload der Grenze initialisiert die GeoPard-Engine deren Verarbeitung.

Die Antwort enthält eine `<uuid>` die Sie verwenden können, um den Verarbeitungsstatus zu verfolgen.

#### Beispiel einer Anfrage:

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl --location --request POST 'https://api.geopard.tech/upload?fileType=<type>&farmUuid=<farm_uuid>' \
--header 'Authorization: <token>' \
--header 'Content-Type: application/zip' \
--data-binary '@path/to/file.zip'
```

{% endcode %}

Die Parameter sind:

1. `<type>` - Typ des hochgeladenen Datensatzes. Er muss ein `Ertrag` ODER `Boden` ODER `Applikation` ODER `Grenze`.
2. `<farm_uuid>` - die `uuid` des Betriebs, in den die Datei hochgeladen wird (optional).
3. `<token>` - GeoPard-Zugriffstoken.
4. `@path/to/file.zip` - der Pfad zur hochzuladenden Datei.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/de/api-dokumentation/dateien-mit-der-geopard-api-hochladen.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
